"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function FormSelect({
  value,
  options,
  onChange
}) {
  if (!Array.isArray(options) || options.length === 0) {
    return null;
  }
  return <select className={_stylesModule.default.selectInput} value={value} onChange={onChange}>
      {options.map(option => {
      return <option key={option} value={option}>
            {option}
          </option>;
    })}
    </select>;
}
var _default = FormSelect;
exports.default = _default;