"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ResponseSample;
var _react = _interopRequireDefault(require("react"));
var _createResponseExample = require("@mxenabled/docusaurus-plugin-openapi-docs/src/openapi/createResponseExample");
var _CodeBlock = _interopRequireDefault(require("@theme/CodeBlock"));
var _TabItem = _interopRequireDefault(require("@theme/TabItem"));
var _ApiTabs = _interopRequireDefault(require("../../ApiTabs"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function ResponseSample({
  responses
}) {
  if (responses === undefined) {
    return null;
  }
  const statusCodes = Object.keys(responses);
  if (statusCodes.length === 0) {
    return null;
  }
  const responseExamples = Object.entries(responses).reduce((acc, [status, value]) => {
    const {
      content
    } = value;
    for (const mimeType in content) {
      // TODO: handle other mime types if needed
      if (mimeType.endsWith("json") && content.hasOwnProperty(mimeType)) {
        var _content$mimeType$sch;
        const bodyContent = (_content$mimeType$sch = content[mimeType].schema) !== null && _content$mimeType$sch !== void 0 ? _content$mimeType$sch : content[mimeType];
        const example = (0, _createResponseExample.sampleResponseFromSchema)(bodyContent);
        acc[status] = example;
      }
    }
    return acc;
  }, {});
  return <div>
      <_ApiTabs.default title="Response sample">
        {statusCodes.map(code => {
        var _ref, _JSON$stringify, _responses$code;
        const responseCode = (_ref = (_JSON$stringify = JSON.stringify(responseExamples[code], null, 2)) !== null && _JSON$stringify !== void 0 ? _JSON$stringify : (_responses$code = responses[code]) === null || _responses$code === void 0 ? void 0 : _responses$code.description) !== null && _ref !== void 0 ? _ref : "No response body";
        return <_TabItem.default label={code} value={code} key={code}>
              <_CodeBlock.default key="json" showLineNumbers language="json"
          // @ts-ignore
          // LanguageSelector={<CodeBlockHeader code={responseCode} />}
          >
                {responseCode}
              </_CodeBlock.default>
            </_TabItem.default>;
      })}
      </_ApiTabs.default>
    </div>;
}