"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Endpoint;
var _react = _interopRequireDefault(require("react"));
var _CopyButton = _interopRequireDefault(require("@theme/CodeBlock/CopyButton"));
var _clsx = _interopRequireDefault(require("clsx"));
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function Endpoint({
  method,
  path
}) {
  return <div className={_stylesModule.default.container}>
      <div className={_stylesModule.default.textWrapper}>
        <div className={(0, _clsx.default)(_stylesModule.default.method, _stylesModule.default[method])}>
          {method.toUpperCase()}
        </div>
        <div className={_stylesModule.default.path}>{path}</div>
      </div>

      <div className={_stylesModule.default.copyButtonContainer}>
        <_CopyButton.default // @ts-ignore
      showText code={path} className={_stylesModule.default.copyButton} />
      </div>
    </div>;
}