"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RequestBodyDetailsBase;
var _react = _interopRequireDefault(require("react"));
var _reactMarkdown = _interopRequireDefault(require("react-markdown"));
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function RequestBodyDetailsBase({
  title = "Request Body",
  description,
  required,
  children
}) {
  return <div>
      <div className={_stylesModule.default.flex}>
        <h3 className={_stylesModule.default.h3}>{title}</h3>
        {required ? <span className={_stylesModule.default.required}> required</span> : null}
      </div>
      {description ? <p className={_stylesModule.default.description}>
          <_reactMarkdown.default>{description}</_reactMarkdown.default>
        </p> : null}
      {children}
    </div>;
}