"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

const Table = ({
  data,
  isBodyRequired,
  isParentTable
}) => {
  const [expandedRows, setExpandedRows] = (0, _react.useState)([]);

  // if the body is marked as required and there's only one field, mark it as required
  if (isBodyRequired && !data[0].required && data.length === 1) {
    data[0].required = true;
  }
  const handleRowClick = field => {
    setExpandedRows(prevExpandedRows => prevExpandedRows.includes(field) ? prevExpandedRows.filter(row => row !== field) : [...prevExpandedRows, field]);
  };
  const renderRow = row => {
    const isExpanded = expandedRows.includes(row.field);
    const hasSubfields = row.subfields && row.subfields.length;
    return <_react.default.Fragment key={row.field}>
        <tr onClick={() => row.subfields && handleRowClick(row.field)}>
          <td>
            {hasSubfields && <span style={{
            marginRight: "5px",
            transform: isExpanded ? "rotate(90deg)" : "rotate(0deg)",
            transition: "transform 0.2s ease",
            display: "inline-block",
            width: "10px"
          }}>
                &#8250;
              </span>}
            {row.field}
          </td>
          <td>{row.description}</td>
          <td>{row.required ? "Yes" : "No"}</td>
          <td>{row.type}</td>
        </tr>
        {isExpanded && row.subfields && <tr>
            <td colSpan={4}>
              <Table data={row.subfields} />
            </td>
          </tr>}
      </_react.default.Fragment>;
  };
  return <table className={isParentTable ? _stylesModule.default.parentTable : ""}>
      <thead>
        <tr>
          <th>Field</th>
          <th>Description</th>
          <th>Required</th>
          <th>Type</th>
        </tr>
      </thead>
      <tbody>{data.map(renderRow)}</tbody>
    </table>;
};
var _default = Table;
exports.default = _default;